Bug 255570 - [exp-run] Against llvm-12-update branch on GitHub
Summary: [exp-run] Against llvm-12-update branch on GitHub
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords:
Depends on: 256167 255796 255900 255901 255902 255903 255904 255905 255910 255913 255915 255953 255954 255955 256007 256166
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-03 15:18 UTC by Dimitry Andric
Modified: 2021-07-16 16:30 UTC (History)
4 users (show)

See Also:


Attachments
full summary of changes, latest amd64 to exp-run (7.24 KB, text/plain)
2021-05-11 12:32 UTC, Mark Linimon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2021-05-03 15:18:40 UTC
I am importing llvm, clang, compiler-rt, libc++, libunwind, lld, lldb, and openmp 12.0.0 into <https://github.com/DimitryAndric/freebsd-src/tree/llvm-12-update>, which is a fork of <https://github.com/freebsd/freebsd-src>.

Please perform an exp-run against this branch. To retrieve it, use:

git clone -b llvm-12-update https://github.com/DimitryAndric/freebsd-src.git

As of 2021-05-03, this branch contains the equivalent of llvm-project's 12.0.0 release, and it has been rebased onto main-n246436-8f1562430fbb.
Comment 1 Dimitry Andric freebsd_committer 2021-05-05 19:39:36 UTC
Note: as of 2021-05-05, the https://github.com/DimitryAndric/freebsd-src/tree/llvm-12-update branch has been rebased onto main-n246487-a512d0ab009e.
Comment 2 Antoine Brodin freebsd_committer 2021-05-08 19:44:07 UTC
New failure logs on i386:

http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/brlcad-7.30.2.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/tarantool-2.8.1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/electron11-11.4.4.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/i386-gcc6-6.5.0_3.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/i386-gcc-6.4.0_9.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/rubygem-thrift-0.14.0,1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/bundy-0.20170618_12.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/eduke32-20210404.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/jpeg-xl-0.3.7_1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/xaos-4.2.1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/openjdk11-11.0.10+9.1_1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/openjdk11-jre-11.0.10+9.1_1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/openjdk12-12.0.2+10.4_3.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/gcc10-10.3.0.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/gcc10-devel-10.3.1.s20210424.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/gcc8-8.4.0_1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/gcc8-devel-8.4.1.s20210428.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/gcc9-9.3.0_3.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/gcc9-devel-9.3.1.s20210423.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/thunderbird-78.10.0_1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/acidrip-0.14_11.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/smpeg-0.4.4_15.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/licq-base-1.9.0_3.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/opentracker-0.2017.08.13_2.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/shelxle-1.0.1246.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/aws-c-cal-0.4.5.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/fluent-bit-1.7.4.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/goldendict-1.5.0.g20210115.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/firefox-esr-78.10.1,1.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/gatling-0.15_2.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/unit-perl5.32-1.23.0.log
http://package23.nyi.freebsd.org/data/maini386PR255570-default/2021-05-07_12h04m50s/logs/errors/unit-ruby2.7-1.23.0.log

More than 2000 ports were skipped due to those new failures (the most importants are lang/gcc10 and multimedia/smpeg)
Comment 3 Ed Maste freebsd_committer 2021-05-08 20:22:52 UTC
smpeg error:

huffmantable.cpp:553:8: error: constant expression evaluates to -1 which cannot be narrowed to type 'unsigned int' [-Wc++11-narrowing]
  { 0, 0-1, 0-1, 0,  0, htd33},
       ^~~
Comment 4 Antoine Brodin freebsd_committer 2021-05-10 08:03:15 UTC
New failure logs on amd64:



http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/hipercontracer-1.5.0.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/abyss-2.3.1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/brlcad-7.30.2.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/wkhtmltopdf-0.12.6.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/tarantool-2.8.1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/amd64-gcc-6.4.0_9.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/electron11-11.4.4.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/amd64-gcc6-6.5.0_3.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/mdb-20210125.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/py38-prettyprinter-0.18.0.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/py38-pyside2-5.15.2.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/rubygem-thrift-0.14.0,1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/bundy-0.20170618_12.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/jpeg-xl-0.3.7_1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/xaos-4.2.1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/openjdk11-11.0.10+9.1_1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/openjdk11-jre-11.0.10+9.1_1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/openjdk12-12.0.2+10.4_3.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/gcc10-10.3.0.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/gcc10-devel-10.3.1.s20210424.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/gcc7-7.5.0_3.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/gcc8-8.4.0_1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/gcc8-devel-8.4.1.s20210428.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/gcc9-9.3.0_3.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/gcc9-devel-9.3.1.s20210423.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/thunderbird-78.10.0_1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/smpeg-0.4.4_15.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/licq-base-1.9.0_3.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/opentracker-0.2017.08.13_2.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/pacemaker1-1.1.24.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/shelxle-1.0.1246.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/aws-c-cal-0.4.5.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/expiretable-0.6_1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/fluent-bit-1.7.4.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/goldendict-1.5.0.g20210115.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/firefox-esr-78.10.1,1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/gatling-0.15_2.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/py38-uvicorn-0.13.4_1.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/unit-perl5.32-1.23.0.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/unit-ruby2.7-1.23.0.log
http://package22.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-08_16h02m24s/logs/websocat-1.8.0.log

Around 1800 ports were skipped due to those new failures
Comment 5 Dimitry Andric freebsd_committer 2021-05-10 21:16:16 UTC
Posted a workaround for the gcc issues in bug 255760, but this would also have to be applied to the other gcc ports that have the problem.

In the mean time I will take a look at possibly reverting the upstream commit that changed the __builtin_constant_p() behavior that gcc's bootstrap seems to depend on.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2021-05-11 12:32:34 UTC
Created attachment 224842 [details]
full summary of changes, latest amd64 to exp-run
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2021-05-11 12:35:00 UTC
I've attached a full analysis of changes between the latest amd64-14 run and this exp-run.  The ports trees are slightly different, leading to minor headaches.  However, here is the summary:

highest priority

# ld: error: undefined symbol: ix86_isa_flags (1493 skipped) [also other gccs]
> gcc10-10.3.0.log: linker_error
# A fatal error has been detected by the Java Runtime Environment (39 skipped) [also other jdks]
> openjdk11-11.0.10+9.1_1.log: process_failed
# error: constant expression evaluates to -1 which cannot be narrowed to type 'unsigned int' (338 skipped)
> smpeg-0.4.4_15.log: bad_C++_code

lower priority

# UNREACHABLE executed
> abyss-2.3.1.log: clang-bug
# gencondmd.c:(.text+0x3c32): undefined reference to `target_flags' [also amd64-gcc-*]
> amd64-gcc-6.4.0_9.log: linker_error
# cc: error: The 'x86_64' architecture does not support -moutline-atomics; flag ignored (5 skipped)
> aws-c-cal-0.4.5.log: ninja
# No such file or directory: 'objdump' [thunderbird is same]
> firefox-esr-78.10.1,1.log: ???
# Exception: SegFault  0.03 sec
> licq-base-1.9.0_3.log: ???
# error: unknown -Werror warning specifier: '-Wno-error-tautological-pointer-compare'
> mdb-20210125.log: ???
# error: '(' and '{' tokens introducing statement expression appear in different macro expansion contexts
> rubygem-thrift-0.14.0,1.log: clang_werror
Comment 8 Dimitry Andric freebsd_committer 2021-05-11 15:26:37 UTC
I submitted a fairly trivial for multimedia/smpeg in bug 255796.
Comment 9 Dimitry Andric freebsd_committer 2021-05-11 17:30:38 UTC
As of 2021-05-11T17:21:45Z the the https://github.com/DimitryAndric/freebsd-src/tree/llvm-12-update branch has been rebased onto main-n246588-802637be0645.

I also reverted upstream commit https://github.com/llvm/llvm-project/commit/08c8d5bc51c512e605840b8003fcf38c86d0fc96, which is a workaround for the issues with the various gcc ports, in:

https://github.com/DimitryAndric/freebsd-src/commit/43533316602f9e1e1bb97ac6deb543bafec01a49
Comment 10 Dimitry Andric freebsd_committer 2021-05-15 13:37:43 UTC
Added bug 255900 for java/openjdk11 and java/openjdk11-jre.

(More JDKs to follow, in other bugs.)
Comment 11 Dimitry Andric freebsd_committer 2021-05-15 14:04:07 UTC
Added bug 255901 for java/openjdk12.
Comment 12 Dimitry Andric freebsd_committer 2021-05-15 14:33:24 UTC
Added bug 255902 for java/openjdk13.
Comment 13 Dimitry Andric freebsd_committer 2021-05-15 14:35:54 UTC
Added bug 255903 for java/openjdk14.
Comment 14 Dimitry Andric freebsd_committer 2021-05-15 15:39:39 UTC
Added bug 255904 for java/openjdk15.
Comment 15 Dimitry Andric freebsd_committer 2021-05-15 15:58:56 UTC
Added bug 255905 for java/openjdk16.
Comment 16 Dimitry Andric freebsd_committer 2021-05-15 19:24:26 UTC
Added bug 255910 for lang/ruby26 and lang/ruby27. This is one possible approach to fix the several ruby gem extension errors in this exp-run, e.g. for devel/rubygem-thrift and www/unit-ruby, but I think many other native gems may also run into this.
Comment 17 Dimitry Andric freebsd_committer 2021-05-15 19:52:10 UTC
Added bug 255914 for devel/aws-c-common. This should fix e.g. security/aws-c-cal, but possibly also other aws-c-* ports, if they make use of the common CMake infrastructure provided by devel/aws-c-common.
Comment 18 Dimitry Andric freebsd_committer 2021-05-15 23:02:55 UTC
Added bug 255915 for net-im/licq.
Comment 19 Dimitry Andric freebsd_committer 2021-05-17 19:10:01 UTC
Added bug 255953 for www/firefox-esr.
Added bug 255954 for mail/thunderbird.
Comment 20 Dimitry Andric freebsd_committer 2021-05-17 20:06:19 UTC
Added bug 255955 for devel/mdb.
Comment 21 Dimitry Andric freebsd_committer 2021-05-19 17:38:42 UTC
Added bug 256007 for www/spidermonkey185.
Comment 22 Antoine Brodin freebsd_committer 2021-05-21 20:55:38 UTC
New failure logs on amd64 with version f8779e6e2 :

http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/abyss-2.3.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/brlcad-7.30.2.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/wkhtmltopdf-0.12.6.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/tarantool-2.8.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/mdb-20210125.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/rubygem-thrift-0.14.0,1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/bundy-0.20170618_12.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/jpeg-xl-0.3.7_2.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/xaos-4.2.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/openjdk11-11.0.11+9.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/openjdk11-jre-11.0.11+9.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/openjdk12-12.0.2+10.4_3.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/openjdk-7.261.02.1,1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/openjdk-jre-7.261.02.1,1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/elpa-2019.05.002_2.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/octave-forge-fenv-0.1.0_22.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/mxnet-1.7.0_2.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/opentoonz-1.5.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/smpeg-0.4.4_15.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/zart-g20191124_1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/licq-base-1.9.0_3.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/opentracker-0.2017.08.13_2.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/OpenSPH-g20190519_4.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/shelxle-1.0.1258.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/aws-c-cal-0.4.5.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/fluent-bit-1.7.5.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/runj-g20210502.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/goldendict-1.5.0.g20210115.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/gatling-0.15_2.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/trafficserver-8.1.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/unit-perl5.32-1.23.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/unit-ruby2.7-1.23.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/varnish-ip2location-1.0.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR255570-default/2021-05-20_18h19m41s/logs/errors/leftwm-0.2.7.37.log

The port causing the most skipped is multimedia/smpeg,  then java/openjdk11 and java/openjdk12
Comment 23 Dimitry Andric freebsd_committer 2021-05-22 08:12:20 UTC
(In reply to Antoine Brodin from comment #22)
I already posted patches for multimedia/smpeg, and java/openjdk11 through 16. The OpenJDK ones all involve upstream patches, so should fairly safe to fast-track. :) The smpeg one is rather trivial, so should also be safe.
Comment 24 Antoine Brodin freebsd_committer 2021-05-25 15:12:05 UTC
New failure logs on i386 with version f8779e6e2 :


http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/brlcad-7.30.2.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/postgresql11-server-11.12.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/postgresql12-server-12.7.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/postgresql13-server-13.3.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/postgresql14-server-14.b1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/tarantool-2.8.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/py38-pytest-relaxed-1.1.5_1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/rubygem-thrift-0.14.0,1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/apache-spark-2.1.1_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/bundy-0.20170618_12.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/virtualbox-ose-legacy-5.2.44_5.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/virtualbox-ose-nox11-legacy-5.2.44_5.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/eduke32-20210404.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/jpeg-xl-0.3.7_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/xaos-4.2.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/openjdk11-11.0.11+9.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/openjdk11-jre-11.0.11+9.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/openjdk12-12.0.2+10.4_3.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/elpa-2019.05.002_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/acidrip-0.14_11.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/py38-moviepy-1.0.3_1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/smpeg-0.4.4_15.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/licq-base-1.9.0_3.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/opentracker-0.2017.08.13_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/OpenSPH-g20190519_4.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/shelxle-1.0.1258.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/aws-c-cal-0.4.5.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/fluent-bit-1.7.5.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/goldendict-1.5.0.g20210115.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/firefox-esr-78.10.1_1,1.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/gatling-0.15_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/unit-perl5.32-1.23.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR255570-default/2021-05-23_20h12m16s/logs/errors/unit-ruby2.7-1.23.0.log

In addition to the ports noted for amd64,  there is databases/postgresql12-server causing a lot of skipped on i386
Comment 25 Dimitry Andric freebsd_committer 2021-05-26 10:49:40 UTC
Added bug 256166 for cad/brlcad.
Comment 26 Dimitry Andric freebsd_committer 2021-05-26 11:05:33 UTC
(In reply to Antoine Brodin from comment #24)
> In addition to the ports noted for amd64,  there is databases/postgresql12-server causing a lot of skipped on i386

Hmm interesting, the postgres ports all error out with:

LLVM ERROR: ThinLTO cannot create input file: Unknown attribute kind (97) (Producer: 'LLVM12.0.0' Reader: 'LLVM 11.0.1')

so that is a mismatch between the object files (which have been produced with llvm 12), and the used linker (which appears to be 11.0.1!)

This has happened before, at least now the linker immediately complains instead of crashing in a strange fashion...
Comment 27 Dimitry Andric freebsd_committer 2021-05-26 11:44:11 UTC
Added bug 256167 for databases/postgresql13-server. This should also fix all the other postgresqlXX-server ports, as they are slaved to postgresql13.
Comment 28 Dimitry Andric freebsd_committer 2021-05-29 16:40:12 UTC
After maintainer timeouts, I committed the fixes for:
- multimedia/smpeg (bug 255796)
- java/openjdk11 (bug 255900)
- java/openjdk12 (bug 255901)
- java/openjdk13 (bug 255902)
- java/openjdk14 (bug 255903)
- java/openjdk15 (bug 255904)
- java/openjdk16 (bug 255905)
- lang/ruby{26,27} (bug 255910)
- devel/aws-c-common (bug 255913)
Comment 29 Dimitry Andric freebsd_committer 2021-06-06 18:23:05 UTC
After maintainer timeouts, I committed the fixes for:
- net-im/licq (bug 255915)
- devel/mdb (bug 255955)
Comment 30 Dimitry Andric freebsd_committer 2021-06-10 17:55:16 UTC
As emaste noted, it would be good if we had some sort of criterion for this type of exp-run bug, which allows us to say "most of the important build failures have been fixed", and subsequently "it's OK to do the import to main now".

Is this something that portmgr@ would need to decide?
Comment 31 Antoine Brodin freebsd_committer 2021-06-10 18:05:08 UTC
(In reply to Dimitry Andric from comment #30)
I Think it should be fine now
Comment 32 commit-hook freebsd_committer 2021-06-13 20:03:31 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=d409305fa3838fb39b38c26fc085fb729b8766d5

commit d409305fa3838fb39b38c26fc085fb729b8766d5
Merge: e8d8bef961a5 b4125f7d51da
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-04-26 11:23:24 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-13 20:01:15 +0000

    Merge llvm-project 12.0.0 release

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-12.0.0-0-gd28af7c654d8, a.k.a. 12.0.0 release.

    PR:             255570
    MFC after:      6 weeks

 .../clang/include/clang/AST/ASTContext.h           |    3 +
 .../llvm-project/clang/include/clang/AST/Decl.h    |   11 +-
 .../llvm-project/clang/include/clang/AST/DeclCXX.h |    6 +
 .../llvm-project/clang/include/clang/AST/Expr.h    |    3 +-
 .../llvm-project/clang/include/clang/AST/Mangle.h  |    3 +
 .../include/clang/AST/MangleNumberingContext.h     |    5 +
 .../clang/include/clang/AST/RecursiveASTVisitor.h  |   12 +
 .../clang/include/clang/ASTMatchers/ASTMatchers.h  |    2 +-
 .../clang/include/clang/Basic/CodeGenOptions.def   |    3 +
 .../clang/include/clang/Basic/CodeGenOptions.h     |    6 +
 .../clang/include/clang/Driver/Options.td          |    7 +-
 .../clang/include/clang/Lex/VariadicMacroSupport.h |   10 +-
 .../llvm-project/clang/include/clang/Sema/Sema.h   |   18 +-
 contrib/llvm-project/clang/lib/AST/ASTImporter.cpp |    2 +
 contrib/llvm-project/clang/lib/AST/CXXABI.h        |    5 +-
 contrib/llvm-project/clang/lib/AST/Decl.cpp        |   29 +-
 contrib/llvm-project/clang/lib/AST/DeclCXX.cpp     |   14 +
 .../llvm-project/clang/lib/AST/ExprConstant.cpp    |   50 +-
 .../llvm-project/clang/lib/AST/ItaniumCXXABI.cpp   |    6 +
 .../llvm-project/clang/lib/AST/ItaniumMangle.cpp   |  346 +++--
 .../llvm-project/clang/lib/AST/MicrosoftCXXABI.cpp |   33 +-
 .../clang/lib/ASTMatchers/ASTMatchFinder.cpp       |   48 +-
 .../clang/lib/ASTMatchers/ASTMatchersInternal.cpp  |    2 +-
 .../llvm-project/clang/lib/Basic/ProfileList.cpp   |    1 +
 .../llvm-project/clang/lib/Basic/Targets/PPC.cpp   |    3 -
 .../llvm-project/clang/lib/Basic/Targets/RISCV.cpp |    6 +-
 .../llvm-project/clang/lib/CodeGen/CGBuiltin.cpp   |    2 +
 .../llvm-project/clang/lib/CodeGen/CGCUDANV.cpp    |    8 +
 contrib/llvm-project/clang/lib/CodeGen/CGCall.cpp  |    5 +
 .../clang/lib/CodeGen/CGExprConstant.cpp           |    2 +-
 .../clang/lib/CodeGen/CGOpenMPRuntime.cpp          |   34 +-
 .../clang/lib/CodeGen/CodeGenFunction.h            |   11 +
 .../clang/lib/Driver/ToolChains/Arch/RISCV.cpp     |    2 +-
 .../clang/lib/Driver/ToolChains/Clang.cpp          |   15 +-
 .../clang/lib/Driver/ToolChains/CommonArgs.cpp     |    5 +
 .../clang/lib/Driver/ToolChains/Linux.cpp          |    9 -
 .../clang/lib/Driver/ToolChains/MSVC.cpp           |    6 +-
 .../clang/lib/Driver/ToolChains/OpenBSD.cpp        |    1 +
 .../clang/lib/Format/UnwrappedLineFormatter.cpp    |    2 +-
 .../clang/lib/Frontend/CompilerInvocation.cpp      |    7 +-
 .../clang/lib/Frontend/InitPreprocessor.cpp        |    2 +-
 .../llvm-project/clang/lib/Headers/avx512fintrin.h |   16 +-
 .../llvm-project/clang/lib/Lex/Preprocessor.cpp    |    8 +-
 contrib/llvm-project/clang/lib/Lex/TokenLexer.cpp  |   10 +-
 contrib/llvm-project/clang/lib/Parse/ParseDecl.cpp |    3 +-
 contrib/llvm-project/clang/lib/Sema/Sema.cpp       |   43 +-
 .../clang/lib/Sema/SemaCodeComplete.cpp            |   21 +-
 contrib/llvm-project/clang/lib/Sema/SemaDecl.cpp   |   88 +-
 contrib/llvm-project/clang/lib/Sema/SemaExpr.cpp   |    2 +-
 contrib/llvm-project/clang/lib/Sema/SemaLambda.cpp |   10 +-
 contrib/llvm-project/clang/lib/Sema/SemaOpenMP.cpp |   23 +-
 .../llvm-project/clang/lib/Sema/TreeTransform.h    |    7 +-
 .../clang/lib/Serialization/ASTReaderDecl.cpp      |    1 +
 .../clang/lib/Serialization/ASTWriter.cpp          |    1 +
 .../sanitizer_platform_interceptors.h              |    2 +-
 contrib/llvm-project/libcxx/include/__locale       |   20 +-
 .../libcxx/include/__threading_support             |    2 +-
 contrib/llvm-project/libcxx/include/bit            |    2 +-
 contrib/llvm-project/libcxx/include/limits         |    4 +-
 contrib/llvm-project/libcxx/include/memory         |    2 +-
 contrib/llvm-project/libcxx/src/atomic.cpp         |    6 +
 contrib/llvm-project/libcxx/src/locale.cpp         |    2 +-
 contrib/llvm-project/lld/ELF/InputSection.cpp      |    5 +-
 contrib/llvm-project/lld/docs/ReleaseNotes.rst     |  108 +-
 .../source/Host/common/NativeProcessProtocol.cpp   |   11 +-
 .../Plugins/Platform/FreeBSD/PlatformFreeBSD.cpp   |   48 +-
 .../Plugins/Platform/FreeBSD/PlatformFreeBSD.h     |    3 -
 .../Process/FreeBSD/FreeBSDThread.cpp (gone)       |  615 ---------
 .../Plugins/Process/FreeBSD/FreeBSDThread.h (gone) |  111 --
 .../NativeProcessFreeBSD.cpp                       |   57 +-
 .../NativeProcessFreeBSD.h                         |   11 +-
 .../NativeRegisterContextFreeBSD.cpp               |    2 +-
 .../NativeRegisterContextFreeBSD.h                 |    0
 .../NativeRegisterContextFreeBSD_arm.cpp (new)     |  202 +++
 .../NativeRegisterContextFreeBSD_arm.h (new)       |   68 +
 .../NativeRegisterContextFreeBSD_arm64.cpp (new)   |  288 ++++
 .../NativeRegisterContextFreeBSD_arm64.h (new)     |   86 ++
 .../NativeRegisterContextFreeBSD_mips64.cpp (new)  |  186 +++
 .../NativeRegisterContextFreeBSD_mips64.h (new)    |   71 +
 .../NativeRegisterContextFreeBSD_powerpc.cpp (new) |  289 ++++
 .../NativeRegisterContextFreeBSD_powerpc.h (new)   |   74 +
 .../NativeRegisterContextFreeBSD_x86_64.cpp        |    0
 .../NativeRegisterContextFreeBSD_x86_64.h          |    6 +-
 .../NativeThreadFreeBSD.cpp                        |    5 +
 .../NativeThreadFreeBSD.h                          |    2 +-
 .../Process/FreeBSD/POSIXStopInfo.cpp (gone)       |   44 -
 .../Plugins/Process/FreeBSD/POSIXStopInfo.h (gone) |   66 -
 .../Process/FreeBSD/ProcessFreeBSD.cpp (gone)      | 1080 ---------------
 .../Process/FreeBSD/ProcessFreeBSD.h (gone)        |  221 ---
 .../Process/FreeBSD/ProcessMonitor.cpp (gone)      | 1424 --------------------
 .../Process/FreeBSD/ProcessMonitor.h (gone)        |  279 ----
 .../Process/FreeBSD/RegisterContextPOSIX.h (gone)  |   63 -
 ...gisterContextPOSIXProcessMonitor_arm.cpp (gone) |  260 ----
 ...RegisterContextPOSIXProcessMonitor_arm.h (gone) |   80 --
 ...sterContextPOSIXProcessMonitor_arm64.cpp (gone) |  267 ----
 ...gisterContextPOSIXProcessMonitor_arm64.h (gone) |   82 --
 ...terContextPOSIXProcessMonitor_mips64.cpp (gone) |  262 ----
 ...isterContextPOSIXProcessMonitor_mips64.h (gone) |   82 --
 ...erContextPOSIXProcessMonitor_powerpc.cpp (gone) |  274 ----
 ...sterContextPOSIXProcessMonitor_powerpc.h (gone) |   84 --
 ...gisterContextPOSIXProcessMonitor_x86.cpp (gone) |  613 ---------
 ...RegisterContextPOSIXProcessMonitor_x86.h (gone) |   81 --
 .../NetBSD/NativeRegisterContextNetBSD_x86_64.h    |    4 +-
 .../NativeProcessSoftwareSingleStep.cpp (new)      |  182 +++
 .../NativeProcessSoftwareSingleStep.h (new)        |   31 +
 .../NativeRegisterContextDBReg_arm64.cpp (new)     |  466 +++++++
 .../NativeRegisterContextDBReg_arm64.h (new)       |   79 ++
 ..._x86.cpp => NativeRegisterContextDBReg_x86.cpp} |   38 +-
 ...oint_x86.h => NativeRegisterContextDBReg_x86.h} |   10 +-
 .../Process/Utility/RegisterInfos_powerpc.h        |    4 +-
 .../lldb/tools/lldb-server/lldb-gdbserver.cpp      |    2 +-
 contrib/llvm-project/llvm/include/llvm-c/Core.h    |    6 +-
 contrib/llvm-project/llvm/include/llvm-c/Orc.h     |    7 +-
 .../llvm/include/llvm/Analysis/AssumptionCache.h   |    2 +-
 .../llvm/include/llvm/CodeGen/FastISel.h           |    5 +-
 .../llvm/include/llvm/CodeGen/MachineInstr.h       |    7 +
 .../llvm/include/llvm/CodeGen/TargetLowering.h     |    4 +
 .../llvm/include/llvm/Demangle/ItaniumDemangle.h   |   68 +-
 .../llvm/include/llvm/Frontend/OpenMP/OMPKinds.def |    4 +-
 .../llvm-project/llvm/include/llvm/IR/InstrTypes.h |    3 -
 .../llvm/include/llvm/IR/Instruction.h             |    7 +
 .../llvm/include/llvm/IR/IntrinsicInst.h           |    8 +-
 .../llvm/include/llvm/IR/Intrinsics.td             |    2 +-
 .../llvm/include/llvm/IR/IntrinsicsRISCV.td        |    7 +-
 .../llvm-project/llvm/include/llvm/IR/Metadata.h   |   18 +
 .../llvm-project/llvm/include/llvm/IR/Operator.h   |    5 +
 .../llvm/include/llvm/IR/PseudoProbe.h             |   27 +-
 .../include/llvm/Passes/StandardInstrumentations.h |    2 +
 .../llvm/include/llvm/ProfileData/ProfileCommon.h  |    3 +
 .../llvm/include/llvm/ProfileData/SampleProf.h     |   29 +-
 .../include/llvm/ProfileData/SampleProfReader.h    |    4 +
 .../llvm/include/llvm/Support/CommandLine.h        |   13 +
 .../llvm/Transforms/IPO/SampleContextTracker.h     |   19 +-
 .../llvm/Transforms/IPO/SampleProfileProbe.h       |   41 +
 .../llvm/include/llvm/Transforms/Utils/Cloning.h   |    7 +
 .../llvm/lib/Analysis/DemandedBits.cpp             |    2 +-
 .../llvm/lib/Analysis/IVDescriptors.cpp            |    5 +-
 .../llvm-project/llvm/lib/Analysis/MemorySSA.cpp   |   26 -
 .../llvm/lib/Analysis/TypeBasedAliasAnalysis.cpp   |   81 ++
 .../llvm/lib/Analysis/ValueTracking.cpp            |   28 +-
 .../llvm/lib/CodeGen/GlobalISel/CombinerHelper.cpp |    9 +-
 .../lib/CodeGen/GlobalISel/LegalizerHelper.cpp     |    5 +
 .../llvm/lib/CodeGen/LiveRangeShrink.cpp           |    3 +-
 .../llvm-project/llvm/lib/CodeGen/MachineInstr.cpp |    3 +-
 .../llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp  |   17 +-
 .../llvm/lib/CodeGen/SelectionDAG/FastISel.cpp     |   10 +-
 .../CodeGen/SelectionDAG/SelectionDAGBuilder.cpp   |    5 +-
 .../lib/CodeGen/SelectionDAG/TargetLowering.cpp    |   31 +-
 .../llvm/lib/CodeGen/StackProtector.cpp            |    2 +-
 .../llvm/lib/CodeGen/TwoAddressInstructionPass.cpp |    8 +-
 .../lib/ExecutionEngine/Orc/OrcV2CBindings.cpp     |    2 +-
 contrib/llvm-project/llvm/lib/IR/AutoUpgrade.cpp   |   42 +
 contrib/llvm-project/llvm/lib/IR/ConstantFold.cpp  |   59 +-
 contrib/llvm-project/llvm/lib/IR/Instruction.cpp   |   14 +
 contrib/llvm-project/llvm/lib/IR/Operator.cpp      |   20 +-
 contrib/llvm-project/llvm/lib/IR/PseudoProbe.cpp   |   41 +
 contrib/llvm-project/llvm/lib/IR/Verifier.cpp      |    6 -
 .../llvm-project/llvm/lib/MC/ELFObjectWriter.cpp   |   11 +
 .../llvm-project/llvm/lib/Passes/PassBuilder.cpp   |    6 +
 .../llvm-project/llvm/lib/Passes/PassRegistry.def  |    1 +
 .../llvm/lib/Passes/StandardInstrumentations.cpp   |    1 +
 .../lib/ProfileData/Coverage/CoverageMapping.cpp   |    1 -
 .../llvm/lib/ProfileData/ProfileSummaryBuilder.cpp |   34 +
 .../llvm/lib/ProfileData/SampleProfReader.cpp      |   99 +-
 .../llvm/lib/ProfileData/SampleProfWriter.cpp      |   15 +-
 .../llvm-project/llvm/lib/Support/CommandLine.cpp  |   25 +-
 .../llvm-project/llvm/lib/Support/Windows/Path.inc |   24 +-
 .../lib/Target/AArch64/AArch64ISelLowering.cpp     |    7 +-
 .../AArch64/MCTargetDesc/AArch64MCAsmInfo.cpp      |    2 +-
 .../lib/Target/AMDGPU/SIShrinkInstructions.cpp     |   24 +-
 .../llvm/lib/Target/ARM/ARMISelLowering.cpp        |    6 +-
 .../llvm/lib/Target/PowerPC/PPCISelDAGToDAG.cpp    |    6 +
 .../llvm/lib/Target/PowerPC/PPCISelLowering.cpp    |   12 +-
 .../llvm/lib/Target/PowerPC/PPCISelLowering.h      |    3 +
 .../lib/Target/RISCV/AsmParser/RISCVAsmParser.cpp  |    6 +-
 .../RISCV/MCTargetDesc/RISCVTargetStreamer.cpp     |    6 +-
 .../llvm/lib/Target/RISCV/RISCVCleanupVSETVLI.cpp  |   37 +-
 .../lib/Target/RISCV/RISCVExpandPseudoInsts.cpp    |   11 +-
 .../llvm/lib/Target/RISCV/RISCVISelDAGToDAG.cpp    |  118 +-
 .../llvm/lib/Target/RISCV/RISCVISelDAGToDAG.h      |    5 +-
 .../llvm/lib/Target/RISCV/RISCVInstrFormatsV.td    |   23 +-
 .../llvm/lib/Target/RISCV/RISCVInstrInfoB.td       |   67 -
 .../llvm/lib/Target/RISCV/RISCVInstrInfoV.td       |  116 +-
 .../lib/Target/RISCV/RISCVInstrInfoVPseudos.td     |  239 ++--
 .../lib/Target/RISCV/RISCVInstrInfoVSDPatterns.td  |    6 +-
 contrib/llvm-project/llvm/lib/Target/VE/VE.h       |   10 +-
 .../Target/X86/Disassembler/X86Disassembler.cpp    |    1 +
 .../llvm/lib/Target/X86/X86FastISel.cpp            |    8 +
 .../llvm/lib/Target/X86/X86ISelLowering.cpp        |    9 +-
 .../llvm/lib/Target/X86/X86InstrAVX512.td          |    4 +-
 .../llvm/lib/Target/X86/X86InstrSSE.td             |   16 +-
 .../llvm/lib/Transforms/IPO/FunctionAttrs.cpp      |   10 +-
 .../lib/Transforms/IPO/SampleContextTracker.cpp    |  118 +-
 .../llvm/lib/Transforms/IPO/SampleProfile.cpp      |  713 ++++++++--
 .../llvm/lib/Transforms/IPO/SampleProfileProbe.cpp |  162 ++-
 .../Transforms/InstCombine/InstCombineCasts.cpp    |    1 +
 .../lib/Transforms/InstCombine/InstCombinePHI.cpp  |    8 +-
 .../InstCombine/InstCombineSimplifyDemanded.cpp    |    8 +-
 .../InstCombine/InstructionCombining.cpp           |    7 +-
 .../llvm/lib/Transforms/Scalar/ADCE.cpp            |    2 +-
 .../llvm/lib/Transforms/Scalar/JumpThreading.cpp   |   10 +
 .../llvm/lib/Transforms/Scalar/LoopUnswitch.cpp    |   10 +-
 .../llvm/lib/Transforms/Scalar/SROA.cpp            |   38 +-
 .../llvm/lib/Transforms/Utils/BuildLibCalls.cpp    |   67 -
 .../llvm/lib/Transforms/Utils/CloneFunction.cpp    |    8 +
 .../llvm/lib/Transforms/Utils/InlineFunction.cpp   |   12 +-
 .../llvm/lib/Transforms/Utils/Local.cpp            |   33 +-
 .../llvm/lib/Transforms/Utils/LoopPeel.cpp         |   19 +-
 .../llvm/lib/Transforms/Utils/SimplifyCFG.cpp      |   19 +-
 .../Vectorize/LoopVectorizationPlanner.h           |    4 +
 .../lib/Transforms/Vectorize/LoopVectorize.cpp     |   40 +-
 .../llvm-project/llvm/tools/llvm-dwp/llvm-dwp.cpp  |    4 +-
 .../llvm/tools/llvm-objdump/llvm-objdump.cpp       |   30 +-
 .../llvm/tools/llvm-profdata/llvm-profdata.cpp     |    2 +-
 .../llvm/tools/llvm-symbolizer/llvm-symbolizer.cpp |    7 +-
 .../llvm/utils/TableGen/IntrinsicEmitter.cpp       |    4 +-
 .../openmp/runtime/src/kmp_config.h.cmake          |    4 +-
 .../openmp/runtime/src/kmp_runtime.cpp             |   21 +-
 .../openmp/runtime/src/kmp_settings.cpp            |   10 +-
 .../openmp/runtime/src/kmp_tasking.cpp             |    3 +-
 etc/mtree/BSD.include.dist                         |    2 +
 lib/clang/include/Plugins/Plugins.def              |    1 -
 lib/clang/include/VCSVersion.inc                   |    8 +-
 lib/clang/include/clang/Config/config.h            |    2 +-
 lib/clang/include/llvm/Config/config.h             |    4 +-
 lib/clang/include/llvm/Config/llvm-config.h        |    2 +-
 lib/clang/include/llvm/Support/VCSRevision.h       |    2 +-
 lib/clang/liblldb/Makefile                         |   36 +-
 lib/clang/libllvm/Makefile                         |    1 +
 lib/libc++/Makefile                                |   26 +-
 lib/libc++/__config_site (new)                     |   40 +
 lib/libomp/kmp_config.h                            |   18 +
 lib/libomp/kmp_i18n_default.inc                    |   10 +-
 lib/libomp/kmp_i18n_id.inc                         |    4 +-
 lib/libomp/omp-tools.h                             |  141 +-
 lib/libomp/omp.h                                   |  144 +-
 sys/sys/param.h                                    |    2 +-
 tools/build/mk/OptionalObsoleteFiles.inc           |   11 +
 usr.bin/clang/Makefile                             |    1 +
 usr.bin/clang/bugpoint/bugpoint.1                  |    8 +-
 usr.bin/clang/clang/clang.1                        |   42 +-
 usr.bin/clang/llc/llc.1                            |   22 +-
 usr.bin/clang/lldb-server/Makefile (new)           |   53 +
 usr.bin/clang/lldb-server/lldb-server.1 (new)      |  262 ++++
 usr.bin/clang/lldb/lldb.1                          |   39 +-
 usr.bin/clang/lli/lli.1                            |   10 +-
 usr.bin/clang/llvm-ar/llvm-ar.1                    |   10 +-
 usr.bin/clang/llvm-ar/llvm-ranlib.1                |    8 +-
 usr.bin/clang/llvm-as/llvm-as.1                    |    8 +-
 usr.bin/clang/llvm-bcanalyzer/llvm-bcanalyzer.1    |    8 +-
 usr.bin/clang/llvm-cov/llvm-cov.1                  |   25 +-
 usr.bin/clang/llvm-cxxfilt/llvm-cxxfilt.1          |   18 +-
 usr.bin/clang/llvm-diff/llvm-diff.1                |    8 +-
 usr.bin/clang/llvm-dis/llvm-dis.1                  |    8 +-
 usr.bin/clang/llvm-dwarfdump/llvm-dwarfdump.1      |   54 +-
 usr.bin/clang/llvm-extract/llvm-extract.1          |   56 +-
 usr.bin/clang/llvm-link/llvm-link.1                |    8 +-
 usr.bin/clang/llvm-mca/llvm-mca.1                  |   25 +-
 usr.bin/clang/llvm-nm/llvm-nm.1                    |   15 +-
 usr.bin/clang/llvm-objcopy/llvm-objcopy.1          |  116 +-
 usr.bin/clang/llvm-objdump/llvm-objdump.1          |  683 +++++++---
 usr.bin/clang/llvm-pdbutil/llvm-pdbutil.1          |    8 +-
 usr.bin/clang/llvm-profdata/llvm-profdata.1        |   85 +-
 usr.bin/clang/llvm-size/llvm-size.1                |   10 +-
 usr.bin/clang/llvm-strings/llvm-strings.1          |   10 +-
 usr.bin/clang/llvm-symbolizer/llvm-addr2line.1     |   29 +-
 usr.bin/clang/llvm-symbolizer/llvm-symbolizer.1    |   98 +-
 usr.bin/clang/llvm-tblgen/llvm-tblgen.1            |  806 ++++++++++-
 usr.bin/clang/opt/opt.1                            |    8 +-
 269 files changed, 7470 insertions(+), 7919 deletions(-)
Comment 33 commit-hook freebsd_committer 2021-06-14 16:10:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=715df83abc049b23d9acddc81f2480bd4c056d64

commit 715df83abc049b23d9acddc81f2480bd4c056d64
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-06-14 13:47:53 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-14 16:10:03 +0000

    Disable strict-fp for powerpcspe, as it does not work properly yet

    Merge commit 5c18d1136665 from llvm git (by Qiu Chaofan)

      [SPE] Disable strict-fp for SPE by default

      As discussed in PR50385, strict-fp on PowerPC SPE has not been
      handled well. This patch disables it by default for SPE.

      Reviewed By: nemanjai, vit9696, jhibbits

      Differential Revision: https://reviews.llvm.org/D103235

    PR:             255570
    MFC after:      6 weeks

 contrib/llvm-project/clang/lib/Basic/Targets/PPC.cpp | 1 +
 1 file changed, 1 insertion(+)
Comment 34 commit-hook freebsd_committer 2021-06-14 18:47:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=d099db25464b826c5724cf2fb5b22292bbe15f6e

commit d099db25464b826c5724cf2fb5b22292bbe15f6e
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-06-14 18:44:09 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-14 18:44:09 +0000

    Apply upstream libc++ fix to allow building with devel/xxx-xtoolchain-gcc

    Merge commit 52e9d80d5db2 from llvm git (by Jason Liu):

      [libc++] add `inline` for __open's definition in ifstream and ofstream

      Summary:

      When building with gcc on AIX, it seems that gcc does not like the
      `always_inline` without the `inline` keyword.
      So adding the inline keywords in for __open in ifstream and ofstream.
      That will also make it consistent with __open in basic_filebuf
      (it seems we added `inline` there before for gcc build as well).

      Differential Revision: https://reviews.llvm.org/D99422

    PR:             255570
    MFC after:      6 weeks

 contrib/llvm-project/libcxx/include/fstream | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
Comment 35 commit-hook freebsd_committer 2021-06-16 18:29:25 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=f336b45e943c7f9a90ffcea1a6c4c7039e54c73c

commit f336b45e943c7f9a90ffcea1a6c4c7039e54c73c
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-06-16 18:27:33 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-16 18:27:39 +0000

    Undefine HAVE_(DE)REGISTER_FRAME in llvm's config.h on arm

    Otherwise, the lli tool (enable by WITH_CLANG_EXTRAS) won't link on arm,
    stating that __register_frame is undefined. This function is normally
    provided by libunwind, but explicitly not for the ARM Exception ABI.

    Reported by:    oh
    PR:             255570
    MFC after:      6 weeks

 lib/clang/include/llvm/Config/config.h | 2 ++
 1 file changed, 2 insertions(+)
Comment 36 commit-hook freebsd_committer 2021-06-19 18:11:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=23408297fbf3089f0388a8873b02fa75ab3f5bb9

commit 23408297fbf3089f0388a8873b02fa75ab3f5bb9
Merge: cac129e60300 e4bbddaec868
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-06-19 10:06:00 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-19 18:09:28 +0000

    Merge llvm-project 12.0.1 rc2

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-12.0.1-rc2-0-ge7dac564cd0e, a.k.a. 12.0.1 rc2.

    PR:             255570
    MFC after:      6 weeks

 ObsoleteFiles.inc                                  | 291 +++++++++++
 .../clang/lib/CodeGen/CodeGenModule.cpp            |  12 +-
 .../clang/lib/Format/TokenAnnotator.cpp            |  12 +-
 .../clang/lib/Format/UnwrappedLineFormatter.cpp    |   7 -
 .../clang/lib/Format/UnwrappedLineParser.cpp       |  89 +++-
 .../clang/lib/Format/UnwrappedLineParser.h         |  12 +-
 .../clang/lib/Headers/ppc_wrappers/xmmintrin.h     |   9 +-
 .../llvm-project/clang/lib/Sema/SemaChecking.cpp   |   5 +-
 contrib/llvm-project/libcxx/include/memory         |  32 +-
 contrib/llvm-project/lld/ELF/SyntheticSections.cpp |   4 +-
 contrib/llvm-project/lldb/docs/man/lldb.rst        |   4 +-
 contrib/llvm-project/lldb/tools/driver/Driver.cpp  |   4 +-
 contrib/llvm-project/llvm/include/llvm/ADT/Any.h   |   7 +-
 .../llvm/CodeGen/GlobalISel/LegalizerHelper.h      |   1 +
 .../llvm-project/llvm/include/llvm/IR/Constant.h   |   4 +
 .../llvm/lib/Analysis/ConstantFolding.cpp          |  15 +-
 .../llvm/lib/Analysis/InstructionSimplify.cpp      |   8 +-
 .../llvm/lib/Analysis/MemoryDependenceAnalysis.cpp |   4 +-
 .../llvm/lib/Analysis/ScalarEvolution.cpp          |   4 +
 .../llvm/lib/Analysis/ValueTracking.cpp            |  15 +-
 .../llvm/lib/CodeGen/GlobalISel/IRTranslator.cpp   |   5 +-
 .../lib/CodeGen/GlobalISel/LegalizerHelper.cpp     |  44 +-
 .../llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp  |  24 +-
 .../lib/CodeGen/SelectionDAG/SelectionDAGISel.cpp  |  33 +-
 .../llvm/lib/CodeGen/StackProtector.cpp            |  24 +-
 contrib/llvm-project/llvm/lib/IR/Constants.cpp     |  12 +
 .../llvm-project/llvm/lib/Support/CommandLine.cpp  |   2 +-
 .../lib/Target/AArch64/AArch64ISelLowering.cpp     |  43 +-
 .../AArch64/GISel/AArch64InstructionSelector.cpp   |   2 +-
 .../llvm/lib/Target/ARM/ARMBaseInstrInfo.cpp       |  22 +-
 .../llvm/lib/Target/BPF/BPFMIPeephole.cpp          |   3 +
 .../llvm/lib/Target/BPF/BPFPreserveDIType.cpp      |   9 +
 .../llvm/lib/Target/BPF/BPFTargetMachine.cpp       |   6 +
 .../llvm/lib/Target/BPF/BPFTargetMachine.h         |   2 +
 .../lib/Target/BPF/BPFTargetTransformInfo.h (new)  |  61 +++
 contrib/llvm-project/llvm/lib/Target/BPF/BTF.def   |   1 +
 .../llvm-project/llvm/lib/Target/BPF/BTFDebug.cpp  |  62 ++-
 .../llvm-project/llvm/lib/Target/BPF/BTFDebug.h    |  11 +-
 .../llvm/lib/Target/PowerPC/PPCAsmPrinter.cpp      |   6 +
 .../llvm/lib/Target/PowerPC/PPCFrameLowering.cpp   | 365 ++++++-------
 .../llvm/lib/Target/PowerPC/PPCISelLowering.cpp    |  62 +++
 .../llvm/lib/Target/PowerPC/PPCISelLowering.h      |   1 +
 .../llvm/lib/Target/PowerPC/PPCRegisterInfo.td     |  43 +-
 .../lib/Target/PowerPC/PPCTargetTransformInfo.cpp  |  21 +
 .../lib/Target/PowerPC/PPCTargetTransformInfo.h    |   3 +
 .../lib/Target/RISCV/RISCVInstrInfoVPseudos.td     |  20 +-
 .../lib/Target/SystemZ/SystemZISelLowering.cpp     |   5 +-
 .../WebAssemblyLowerEmscriptenEHSjLj.cpp           |  13 +-
 .../llvm/lib/Target/X86/X86ISelLowering.cpp        |   2 +
 .../llvm/lib/Target/X86/X86InstrCompiler.td        |  11 +-
 .../Transforms/InstCombine/InstCombineAndOrXor.cpp |  17 +-
 .../Transforms/InstCombine/InstCombineSelect.cpp   |   5 +-
 .../Transforms/InstCombine/InstCombineShifts.cpp   |  58 ++-
 .../llvm/lib/Transforms/Scalar/LoopRerollPass.cpp  |   6 +
 .../Transforms/Scalar/LowerConstantIntrinsics.cpp  |   8 +-
 .../llvm/lib/Transforms/Scalar/SCCP.cpp            |   7 +-
 .../llvm/lib/Transforms/Utils/InlineFunction.cpp   | 106 ++--
 etc/mtree/BSD.debug.dist                           |   2 +-
 etc/mtree/BSD.usr.dist                             |   2 +-
 lib/clang/headers/Makefile                         |   2 +-
 lib/clang/include/VCSVersion.inc                   |   8 +-
 lib/clang/include/clang/Basic/Version.inc          |   6 +-
 lib/clang/include/clang/Config/config.h            |   2 +-
 lib/clang/include/lld/Common/Version.inc           |   2 +-
 lib/clang/include/llvm/Config/config.h             |   4 +-
 lib/clang/include/llvm/Config/llvm-config.h        |   5 +-
 lib/clang/include/llvm/Support/VCSRevision.h       |   2 +-
 lib/libclang_rt/compiler-rt-vars.mk                |   2 +-
 tools/build/mk/OptionalObsoleteFiles.inc           | 578 ++++++++++-----------
 69 files changed, 1480 insertions(+), 799 deletions(-)
Comment 37 commit-hook freebsd_committer 2021-06-21 18:51:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=e7e517981a6591c79fb49cd8810361b0f3ad5983

commit e7e517981a6591c79fb49cd8810361b0f3ad5983
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-06-21 18:46:34 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-21 18:48:37 +0000

    Fix clang assertion while building recent www/chromium

    Merge commit c8227f06b335 from llvm git (by Arthur Eubanks):

      [clang] Don't assert in EmitAggregateCopy on trivial_abi types

      Fixes PR42961.

      Reviewed By: rnk

      Differential Revision: https://reviews.llvm.org/D97872

    PR:             256721, 255570
    Reported by:    jbeich
    MFC after:      3 days

 contrib/llvm-project/clang/lib/CodeGen/CGExprAgg.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 38 commit-hook freebsd_committer 2021-06-25 17:32:39 UTC
A commit in branch stable/13 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=1ed4655d9d5aab333eb5a89fafc2080315a0af79

commit 1ed4655d9d5aab333eb5a89fafc2080315a0af79
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-06-21 18:46:34 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-25 17:30:41 +0000

    Fix clang assertion while building recent www/chromium

    Merge commit c8227f06b335 from llvm git (by Arthur Eubanks):

      [clang] Don't assert in EmitAggregateCopy on trivial_abi types

      Fixes PR42961.

      Reviewed By: rnk

      Differential Revision: https://reviews.llvm.org/D97872

    PR:             256721, 255570
    Reported by:    jbeich

    (cherry picked from commit e7e517981a6591c79fb49cd8810361b0f3ad5983)

 contrib/llvm-project/clang/lib/CodeGen/CGExprAgg.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 39 commit-hook freebsd_committer 2021-06-25 17:33:41 UTC
A commit in branch stable/12 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=858dc467c63c1be107808bcef9198591416ac71c

commit 858dc467c63c1be107808bcef9198591416ac71c
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-06-21 18:46:34 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-25 17:31:22 +0000

    Fix clang assertion while building recent www/chromium

    Merge commit c8227f06b335 from llvm git (by Arthur Eubanks):

      [clang] Don't assert in EmitAggregateCopy on trivial_abi types

      Fixes PR42961.

      Reviewed By: rnk

      Differential Revision: https://reviews.llvm.org/D97872

    PR:             256721, 255570
    Reported by:    jbeich

    (cherry picked from commit e7e517981a6591c79fb49cd8810361b0f3ad5983)

 contrib/llvm-project/clang/lib/CodeGen/CGExprAgg.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 40 commit-hook freebsd_committer 2021-06-25 17:34:43 UTC
A commit in branch stable/11 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=591bd6a9b85d233bbef5eeaae46454f5994bf42f

commit 591bd6a9b85d233bbef5eeaae46454f5994bf42f
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-06-21 18:46:34 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-06-25 17:31:48 +0000

    Fix clang assertion while building recent www/chromium

    Merge commit c8227f06b335 from llvm git (by Arthur Eubanks):

      [clang] Don't assert in EmitAggregateCopy on trivial_abi types

      Fixes PR42961.

      Reviewed By: rnk

      Differential Revision: https://reviews.llvm.org/D97872

    PR:             256721, 255570
    Reported by:    jbeich

    (cherry picked from commit e7e517981a6591c79fb49cd8810361b0f3ad5983)

 contrib/llvm-project/clang/lib/CodeGen/CGExprAgg.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 41 commit-hook freebsd_committer 2021-07-16 16:30:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=4652422eb477731f284b1345afeefef7f269da50

commit 4652422eb477731f284b1345afeefef7f269da50
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-07-16 16:29:42 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-07-16 16:29:42 +0000

    Merge llvm-project 12.0.1 release

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-12.0.1-0-gfed41342a82f, a.k.a. 12.0.1 release.

    PR:             255570
    MFC after:      6 weeks

 .../llvm-project/clang/lib/Basic/Targets/X86.cpp   |  3 +-
 .../sanitizer_common_interceptors_ioctl.inc        |  9 ---
 .../sanitizer_platform_limits_posix.cpp            | 11 ----
 .../sanitizer_platform_limits_posix.h              | 10 ----
 .../sanitizer_common/sanitizer_posix_libcdep.cpp   | 13 +++--
 contrib/llvm-project/libcxx/include/__availability | 43 ++++++++++++++
 .../llvm-project/libcxx/include/__bit_reference    | 34 +++++------
 contrib/llvm-project/libcxx/include/memory         | 40 +++++++++----
 contrib/llvm-project/libcxx/include/version        | 16 ++---
 contrib/llvm-project/llvm/include/llvm-c/Core.h    | 12 ++++
 .../DebugInfo/DWARF/DWARFAbbreviationDeclaration.h | 10 ++++
 .../llvm-project/llvm/include/llvm/Support/Host.h  | 14 +++++
 .../Vectorize/LoopVectorizationLegality.h          | 15 ++---
 .../llvm/lib/DebugInfo/DWARF/DWARFDie.cpp          | 35 ++++++-----
 .../llvm/lib/DebugInfo/DWARF/DWARFFormValue.cpp    |  5 ++
 contrib/llvm-project/llvm/lib/IR/Core.cpp          | 16 +++++
 contrib/llvm-project/llvm/lib/Support/Host.cpp     | 68 +++++++++++++++++-----
 .../llvm/lib/Target/ARM/ARMBlockPlacement.cpp      |  7 +--
 .../llvm/lib/Target/ARM/ARMLowOverheadLoops.cpp    | 20 ++++---
 .../lib/Target/ARM/MVEGatherScatterLowering.cpp    |  5 +-
 .../llvm/lib/Target/ARM/MVETailPredication.cpp     |  4 ++
 .../llvm/lib/Target/ARM/MVEVPTBlockPass.cpp        | 13 ++++-
 .../llvm/lib/Target/PowerPC/PPCISelLowering.cpp    | 41 +++++++++----
 .../lib/Target/SystemZ/SystemZISelLowering.cpp     | 22 +++++--
 .../llvm/lib/Transforms/Coroutines/CoroEarly.cpp   |  9 +++
 .../llvm/lib/Transforms/Coroutines/CoroFrame.cpp   | 31 ++++++++--
 .../llvm/lib/Transforms/IPO/ConstantMerge.cpp      |  2 +
 .../Vectorize/LoopVectorizationLegality.cpp        | 14 +----
 .../llvm/tools/llvm-cov/CoverageSummaryInfo.cpp    |  6 +-
 .../llvm/tools/llvm-cov/CoverageSummaryInfo.h      |  5 ++
 lib/clang/include/VCSVersion.inc                   |  8 +--
 lib/clang/include/llvm/Config/llvm-config.h        |  1 -
 lib/clang/include/llvm/Support/VCSRevision.h       |  2 +-
 33 files changed, 378 insertions(+), 166 deletions(-)